.homepage-container {
  display: flex;
  flex-direction: column;
}


/* SECTION 1 */


.section-1 {
  width: 100%;
  height: auto;
  position: relative;
}

.main-png {
  width: 100%;
  height: 750px;
  object-fit: cover;
}

.homepage-description {
  display: flex;
  width: 600px;
  position: absolute;
  top: 380px;
  left: 50%;
  transform: translate(-50%, -50%);
}

.white-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.white-content a {
  text-decoration: none;
}

.a-c-zr-text {
  width: 100%;
  font-size: 70px;
  color: white;
  margin-bottom: 20px;
  margin-top: 10px;
  text-align: center;
}

.club-description {
  text-align: center;
  font-size: 25px;
  color: rgb(207, 207, 207);
}

.icons-container {
  display: flex;
  
}

.icons-container img {
  height: 45px;
  margin: 0 10px;
  transition: transform 0.4s;
}

.more-container {
  background-color: rgb(235, 235, 235);
  width: 150px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  margin-top: 80px;
  margin-bottom: 30px;
  font-size: 18px;

  transition: transform 0.3s;
}

.polygon {
  position: absolute;
  width: 150px;
  height: 60px;
  clip-path: polygon(0 0, 100% 0, 100% 100%);
  background-color: rgb(255, 255, 255);
}

.more-container-a {
  color: rgb(51, 51, 51);
  font-weight: 600;
  z-index: 1;
}

.more-container:hover,
.icons-container img:hover {
  transform: scale(1.05);
}



@media (max-width: 500px) {
  .main-png {
    width: 100%;
    height: 600px;
    object-fit: cover;
  }
  
  .homepage-description {
    display: flex;
    width: 300px;
    position: absolute;
    top: 300px;
    transform: translate(-50%, -50%);
  }
  
  .white-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  
  .white-content a {
    text-decoration: none;
  }
  
  .a-c-zr-text {
    width: 100%;
    font-size: 35px;
    color: white;
    text-align: center;
  }
  
  .club-description {
    text-align: center;
    font-size: 14px;
    color: rgb(207, 207, 207);
  }
  
  .icons-container {
    display: flex;
  }
  
  .icons-container img {
    height: 45px;
    margin: 0 10px;
    transition: transform 0.4s;
  }
  
  .more-container {
    background-color: rgb(235, 235, 235);
    width: 150px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    font-size: 18px;
  
    transition: transform 0.3s;
  }
  
  .polygon {
    position: absolute;
    width: 150px;
    height: 60px;
    clip-path: polygon(0 0, 100% 0, 100% 100%);
    background-color: rgb(255, 255, 255);
  }
  
  .more-container-a {
    color: rgb(51, 51, 51);
    font-weight: 600;
    z-index: 1;
  }
}


@media (min-width: 500px) and (max-width: 1000px){
  .main-png {
    width: 100%;
    height: 700px;
    object-fit: cover;
  }
  
  .homepage-description {
    display: flex;
    width: 380px;
    position: absolute;
    top: 350px;
    transform: translate(-50%, -50%);
  }
  
  .white-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  
  .white-content a {
    text-decoration: none;
  }
  
  .a-c-zr-text {
    width: 100%;
    font-size: 45px;
    color: white;
    text-align: center;
  }
  
  .club-description {
    text-align: center;
    font-size: 16px;
    color: rgb(207, 207, 207);
  }
  
  .icons-container {
    display: flex;
  }
  
  .icons-container img {
    height: 45px;
    margin: 0 10px;
    transition: transform 0.4s;
  }
  
  .more-container {
    background-color: rgb(235, 235, 235);
    width: 150px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    font-size: 18px;
  
    transition: transform 0.3s;
  }
  
  .polygon {
    position: absolute;
    width: 150px;
    height: 60px;
    clip-path: polygon(0 0, 100% 0, 100% 100%);
    background-color: rgb(255, 255, 255);
  }
  
  .more-container-a {
    color: rgb(51, 51, 51);
    font-weight: 600;
    z-index: 1;
  }
}





/* SECTION 2 */


.section-2 {
  display: flex;
  flex-direction: column;
  background-color: rgb(255, 255, 255);
  position: relative;
  height: auto;
  padding-bottom: 9vw;
}

.title {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-bottom: 5vw;
  margin-top: 3vw;
}

.title-container h1{
  margin-top: 0;
  font-size: 70px;
  font-weight: bold;
  text-align: center;
}

.blue-text-container {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 25px;
  font-weight: 600;
  color: #2F67A8;

}

.blue-text-container div {
  background-color: #2F67A8;
  width: 35px;
  height: 5px;
  border-radius: 2.5px;
  margin: 0 15px;
}

.aktuality-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  column-gap: 50px;
  row-gap: 30px;
  margin: 0 50px;
  z-index: 50;
}

.aktuality-grid a {
  text-decoration: none;
}

.aktualita {
  background-color: rgb(255, 255, 255);
  color: black;
  height: 400px;
  border-radius: 50px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  padding: 60px;

  box-shadow: 0 10px 30px rgb(83, 83, 83);

  transition: transform 0.5s;
  cursor: pointer;
}

.aktualita-image {
  width: 100%;
  height: 200px;
  object-fit: cover;
}

.aktualita-description {
  width: 100%;
  text-align: center;
  font-weight: 700;
  font-size: 40px;
}

.aktualita-date {
  width: 100%;
  text-align: center;
  color: rgb(126, 126, 126);
  font-weight: 700;
  font-size: 20px;
}

.aktualita:hover {
  transform: scale(1.05);
}

.aktualita-1:active {
  background-color: rgb(235, 235, 235);
}

.hidden {
  opacity: 0;
  filter: blur(3px);
  transform: translateY(20%);
  transition: all 1s;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateY(0);
}

.swipeAnim:nth-child(2) {
  transition-delay: 100ms;
}

.swipeAnim:nth-child(3) {
  transition-delay: 200ms;
}

.swipeAnim:nth-child(4) {
  transition-delay: 300ms;
}



@media (max-width: 500px) {
  .aktuality-grid {
    display: grid;
    grid-template-columns: 1fr;

    margin: 0 0px;
    row-gap: 30px;
    z-index: 50;
    padding: 20px 30px;
  }


  .aktualita-1, .aktualita-2, .aktualita-3,.aktualita-4 {
    height: 300px;
  }

  .aktualita-image {
    width: 100%;
    height: 150px;
    object-fit: cover;
  }
  
  .aktualita-description {
    width: 100%;
    text-align: center;
    font-weight: 700;
    font-size: 30px;
  }
  
  .aktualita-date {
    width: 100%;
    text-align: center;
    color: rgb(126, 126, 126);
    font-weight: 700;
    font-size: 15px;
  }

  .title-container h1{
    margin-top: 0;
    margin: 0 40px;
    font-size: 50px;
    font-weight: bold;
    text-align: center;
  }
  
  .blue-text-container {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 15px;
    font-weight: 600;
    color: #2F67A8;
  
  }

  .blue-text-container div {
    background-color: #2F67A8;
    width: 25px;
    height: 3px;
    border-radius: 2.5px;
    margin: 0 15px;
  }
}

@media (min-width: 501px) and (max-width: 1000px) {
  .aktuality-grid {
    display: grid;
    grid-template-columns: 1fr;

    margin: 0 0px;
    row-gap: 30px;
    z-index: 50;
    padding: 20px 30px;
  }


  .aktualita-1, .aktualita-2, .aktualita-3,.aktualita-4 {
    height: 300px;
  }

  .aktualita-image {
    width: 100%;
    height: 150px;
    object-fit: cover;
  }
  
  .aktualita-description {
    width: 100%;
    text-align: center;
    font-weight: 700;
    font-size: 30px;
  }
  
  .aktualita-date {
    width: 100%;
    text-align: center;
    color: rgb(126, 126, 126);
    font-weight: 700;
    font-size: 15px;
  }

  .title-container h1{
    margin-top: 0;
    margin: 0 40px;
    font-size: 50px;
    font-weight: bold;
    text-align: center;
  }
  
  .blue-text-container {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 15px;
    font-weight: 600;
    color: #2F67A8;
  
  }

  .blue-text-container div {
    background-color: #2F67A8;
    width: 25px;
    height: 3px;
    border-radius: 2.5px;
    margin: 0 15px;
  }
}

@media (min-width: 750px) and (max-width: 1000px) {
  .aktuality-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;

    margin: 0 0px;
    row-gap: 30px;
    z-index: 50;
    padding: 20px 30px;
  }
}

@media (min-width: 1001px) and (max-width: 1919px) {
  .aktuality-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;

    margin: 0 0px;
    row-gap: 30px;
    z-index: 50;
    padding: 20px 30px;
  }


  .aktualita-1, .aktualita-2, .aktualita-3,.aktualita-4 {
    height: 300px;
  }

  .aktualita-image {
    width: 100%;
    height: 150px;
    object-fit: cover;
  }
  
  .aktualita-description {
    width: 100%;
    text-align: center;
    font-weight: 700;
    font-size: 30px;
  }
  
  .aktualita-date {
    width: 100%;
    text-align: center;
    color: rgb(126, 126, 126);
    font-weight: 700;
    font-size: 15px;
  }

  .title-container h1{
    margin-top: 0;
    margin: 0 40px;
    font-size: 50px;
    font-weight: bold;
    text-align: center;
  }
  
  .blue-text-container {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 15px;
    font-weight: 600;
    color: #2F67A8;
  
  }

  .blue-text-container div {
    background-color: #2F67A8;
    width: 25px;
    height: 3px;
    border-radius: 2.5px;
    margin: 0 15px;
  }
}

@media (min-width: 1600px) {
  .aktuality-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}


/* SECTION 3 */


.section-3 {
  display: flex;
  flex-direction: column;
  background-color: #F2F2F2;
  padding-bottom: 40px;
}

.kontakty-table-grid {
  display: grid;
  grid-template-columns: 0.5fr 0.5fr 1fr;
  column-gap: 2vw;
  row-gap: 1vw;
  margin: 0 10vw;
  font-size: 1.6vw;
  font-weight: 600;
}

.kontakty-name {
  border-top-left-radius: 1.5vw;
  border-bottom-left-radius: 1.5vw;
  display: flex;
  height: 5vw;


  justify-content: center;
  align-items: center;
  box-shadow: 0 7px 10px 1px rgb(145, 145, 145);
}

.kontakty-name p {
  margin-right: 3vw;
  margin-left: 1vw;
}

.kontakty-number {
  background-color: white;
  text-align: center;

  height: 5vw;
  box-shadow: 0 7px 10px 1px rgb(145, 145, 145);
}

.kontakty-email {
  background-color: white;
  text-align: center;
  height: 5vw;
  border-top-right-radius: 1.5vw;
  border-bottom-right-radius: 1.5vw;
  box-shadow: 0 7px 10px 1px rgb(145, 145, 145);
}

.name-1 {
  background-color: #E8F315;
}

.name-2 {
  background-color: #B3F117;
}

.name-3 {
  background-color: #95CD51;
}

.name-4 {
  background-color: #56C85B;
}

.name-5 {
  background-color: #2BAD82;
}

.name-6 {
  background-color: #2C81AC;
}

.detailnejsi-info {
  display: flex;
  justify-content: center;
  margin-top: 5vw;
}

.detailnejsi-info-button {
  height: 5vw;
  border: none;
  background-color: white;
  border-radius: 1.5vw;
  width: 14vw;
  font-size: 1.1vw;
  font-weight: 600;
  box-shadow: 0 2px 10px 1px rgb(145, 145, 145);
  cursor: pointer;
  transition: transform 0.5s;
}

.detailnejsi-info-button:hover {
  transform: scale(1.05);
}

.detailnejsi-info-button a {
  text-decoration: none;
  color: black;
}

@media (max-width: 500px) {
  .detailnejsi-info {
    display: flex;
    justify-content: center;
    margin-top: 5vw;
  }
  
  .detailnejsi-info-button {
    height: 50px;
    border: none;
    background-color: white;
    border-radius: 1.5vw;
    width: 100px;
    font-size: 10px;
    font-weight: 600;
    box-shadow: 0 2px 10px 1px rgb(145, 145, 145);
    cursor: pointer;
    transition: transform 0.5s;
  }
}







/* SECTION 4 */

.section-4 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 6vw;
}

.mapa {
  width: 80%;
}

